Subject: Re: [patch net-next v2] ipv6: log autoconfiguration failures

From: Denys Vlasenko <[email-masked]>
Date: Thu, 12 Dec 2013 12:28:16 +0100

On 12/11/2013 09:54 PM, David Miller wrote:
> From: Hannes Frederic Sowa <[email-masked]>
> Date: Wed, 11 Dec 2013 20:21:38 +0100
> 
>> On Wed, Dec 11, 2013 at 12:45:14PM +0100, Denys Vlasenko wrote:
>>> If ipv6 auto-configuration does not work, currently it's hard
>>> to track what's going on. This change adds log messages
>>> (at debug level) on every code path where ipv6 autoconf fails.
>>>
>>> v2: fixed indentation in multi-line log output statements.
>>
>> Have you seen lots of those problems? Some of those seem like very
>> serious problems and maybe could also deserve a pr_warn or pr_err.
>>
>> I hope these are one-time errors, so I don't think counters would
>> be helpful.
> 
> I still think that statitics would better serve this issue.
> 
> You can make them part of the per-inet6_dev MIB, and therefore
> implicitly letting the admin know what interface the events
> occurred on.

Putting myself in admin's boots...

Admins want to know why ipv6 autoconf didn't work, not so much
how many times it didn't work. This requires a text message.

> For one thing, the event would always be counted, whereas with
> pr_debug() someone has to turn on dynamic debugging in order
> to see the message.

Point taken wrt pr_debug being too gentle.
I should have used pr_warn or at least pr_info...

-- 
vda